/**
 * Module dependencies.
 */
var maxAPI = require("max-api");

/**
 * Normalize a port into a number, string, or false.
 */
function normalizePort(val) {
    var port = parseInt(val, 10);

    if (isNaN(port)) {
        // named pipe
        return val;
    }

    if (port >= 0) {
        // port number
        return port;
    }

    return false;
}

/**
 * Get port from environment and store in Express.
 */
var port = normalizePort(process.env.PORT || "50500");

/** 开启服务 */
var net = require('net');
var server = net.createServer(function(socket) {
    // 创建socket服务端
    console.log('connect: ' +
        socket.remoteAddress + ':' + socket.remotePort);
    socket.setEncoding('hex');
    //接收到数据
    socket.on('data', function(data) {
        console.log('client send:' + data);
        dataByte = data.substring(data.length - 2);
        dataNum = parseInt(dataByte, 16);
        maxAPI.outlet(dataNum);
    });
    //数据错误事件
    socket.on('error', function(exception) {
        console.log('socket error:' + exception);
        socket.end();
    });
    //客户端关闭事件
    socket.on('close', function(data) {
        console.log('client closed!');
    });
}).listen(port);

/**
 * 服务器监听事件
 */

server.on('listening', function() {
    console.log("server listening:" + server.address().port);
});

/**
 * 服务器错误事件
 */
server.on("error", function(exception) {
    console.log("server error:" + exception);
});